Skip to content
Go to Boltz API

Revoke an API key

POST/compute/v1/admin/api-keys/{api_key_id}/revoke

Revoke an API key

Path ParametersExpand Collapse
api_key_id: string
ReturnsExpand Collapse
id: string

API key ID

allowed_ips: array of string

IP addresses allowed to use this key. An empty array means all IPs are allowed.

created_at: string
formatdate-time
expires_at: string

When the key expires. Null if the key does not expire.

formatdate-time
is_active: boolean
key_prefix: string

First 12 characters of the key

key_type: "admin" or "workspace"
Accepts one of the following:
"admin"
"workspace"
last_used_at: string
formatdate-time
livemode: boolean

Whether this is a live API key (false for test keys).

name: string

API key name

workspace_id: string

Workspace ID if workspace-scoped

Revoke an API key

curl https://api.boltz.bio/compute/v1/admin/api-keys/$API_KEY_ID/revoke \
    -X POST \
    -H "x-api-key: $BOLTZ_API_KEY"
{
  "id": "id",
  "allowed_ips": [
    "string"
  ],
  "created_at": "2019-12-27T18:11:19.117Z",
  "expires_at": "2019-12-27T18:11:19.117Z",
  "is_active": true,
  "key_prefix": "key_prefix",
  "key_type": "admin",
  "last_used_at": "2019-12-27T18:11:19.117Z",
  "livemode": true,
  "name": "name",
  "workspace_id": "workspace_id"
}
Returns Examples
{
  "id": "id",
  "allowed_ips": [
    "string"
  ],
  "created_at": "2019-12-27T18:11:19.117Z",
  "expires_at": "2019-12-27T18:11:19.117Z",
  "is_active": true,
  "key_prefix": "key_prefix",
  "key_type": "admin",
  "last_used_at": "2019-12-27T18:11:19.117Z",
  "livemode": true,
  "name": "name",
  "workspace_id": "workspace_id"
}